std::__has_iterator_category_helper< _Tp >(3)

NAME
std::__has_iterator_category_helper< _Tp > -

SYNOPSIS

  Public Attributes
decltype(__test< _Tp >(0)) typedef type

Detailed Description

  template<typename _Tp>class std::__has_iterator_category_helper< _Tp >
Traits class for iterators. This class does nothing but define nested typedefs. The general version simply forwards the nested typedefs from the Iterator argument. Specialized versions for pointers and pointers-to-const provide tighter, more correct semantics.

Definition at line 142 of file stl_iterator_base_types.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.